### Enumeration

# Malcontent ManagerError

since: 0.5.0

#### Declaration

    error-domain Malcontent.ManagerError

#### Description [src]

Errors relating to get/set operations on a `MctManager` instance.

Available since: 0.5.0

#### Members

`MCT_MANAGER_ERROR_INVALID_USER`

  Given user ID doesn’t exist.

  - Value: `0`
  - Available since: 0.5.0
`MCT_MANAGER_ERROR_PERMISSION_DENIED`

  Not authorized to query properties of the given user.

  - Value: `1`
  - Available since: 0.5.0
`MCT_MANAGER_ERROR_INVALID_DATA`

  The data stored in a property of the given user is inconsistent or invalid.

  - Value: `2`
  - Available since: 0.5.0
`MCT_MANAGER_ERROR_DISABLED`

  Parental controls are disabled for all users.

  - Value: `3`
  - Available since: 0.5.0

#### Type functions

###### mct_manager_error_quark

Error quark for `MctManagerError`.

since: 0.5.0